---
name: Engine support request
about: Suggest a new engine
title: "[ENGINE]"
labels: enhancement
assignees: daimond113
---

**General information about the engine**
Name: Lune
Repository: https://github.com/lune-org/lune

**Checklist**

- [ ] Is this engine versioned according to [SemVer](https://semver.org/spec/v2.0.0.html)?
- [ ] Does this engine provide pre-compiled builds?
- [ ] Will the engine get support for at least a year after it gets added to pesde?
- [ ] Does the engine have any notable differences to plain Luau (e.g. IO APIs)?
- [ ] Does the engine correctly implement `require` (according to Luau's RFCs)?
- [ ] Is the engine open-source under a reasonably permissive license?

If the answer is "no" to any of these questions, the engine will not be added.

**Additional information**

- [ ] Are you willing to submit a pull request adding the engine (and a target for it)?

These questions can help fast-track the engine being added.
